The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Module installers

Discussion in 'General Discussion' started by tank, Jun 16, 2011.

  1. tank

    tank Well-Known Member

    Joined:
    Apr 12, 2011
    Messages:
    236
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Chicago, IL
    cPanel Access Level:
    Root Administrator
    So its seems the module installers don't work. Out of the three i have tried all of them gave me failed installs?

    hash1.5
    crack
    python

    I submitted a ticket for the first one and I was told the tech did not know why hash would not install correctly but he did for me. Awesome

    I tried crack and I submitted a ticket. I was told "crack tar ball was out of date". He updated for me and installed it. Great

    Now python won't install. i get.

    Code:
    Failed to download pecl/python within preferred state "stable", latest release is version 0.8.0, stability "alpha", use "channel://pecl.php.net/python-0.8.0" to install
    install failed
    The python.so object is not in /usr/local/lib/php/extensions/no-debug-non-zts-20060613
    So my question to everyone why include these PHP Pecl extensions if they are outdated an or won't install correctly. This frustrates me as the user and seems to be a failure of Cpanel to present "the whole package" Am I the only one to feel this way.
     
  2. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    This existing error message indicates that there is no stable python PECL module, so the installer simply cannot install it. That is going to happen for any of the PECL modules that are not in stable state.

    While I could understand your concern for hash1.5 or crack, I cannot agree this is a failure on the PECL module installer for this python module, since it isn't yet in stable state. Personally, I would not want that installer to allow alpha or beta modules to be installed.

    What were the ticket numbers for the other two modules? I would like to review the tickets if possible.
     
  3. tank

    tank Well-Known Member

    Joined:
    Apr 12, 2011
    Messages:
    236
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Chicago, IL
    cPanel Access Level:
    Root Administrator
    Tristan thank you for the response. I meant no disrespect in the above post. Why offer to have an auto installer of a particular program if it is not stable? Thats all I was saying. I agree I don't wont alphas and or beta modules to be installed either, so I am happy those did not install.

    1633210 hash1.5
    1634477 crack.so
     
Loading...

Share This Page